from django.shortcuts import render
from django.http import HttpResponse
from .models import Announcement
from dashboard.models import WidgetUser

def index(request):

    head = "<h1 style='border-bottom:4px solid lightgray;\
            padding-bottom:30px;\
            font-size:450%;'>\
            Widget's Announcement Board\
            </h1>"

    body = "<h2>Announcements:</h2>"
  
    for x in Announcement.objects.all():
        reaction = x.reactions.all()
        body += "<p style='border: 2px solid gray;\
                  border-radius:5px;\
                  padding:20px 30px;'>\
                  {} by {} {} published {}:\
                  <br>\
                  {}\
                  </p>".format(x.title, x.author.first_name, x.author.last_name,
                               x.format_pub_datetime(), x.body)
        for y in reaction:
            body += "<p>{}: {}\
                </p>".format(y.name, y.tally)

        body += '<p>&nbsp;</p>'

    return_string = "<html>\
                    <body style = 'font-family:helvetica;\
                    padding:30px;'>\
                    {}{}\
                    </body></html>".format(head, body)

    return HttpResponse(return_string)
